> For the complete documentation index, see [llms.txt](https://help.claritylims.illumina.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.claritylims.illumina.com/api-and-database/api-docs/tips-and-tricks/setting-the-value-of-a-qc-flag-on-an-artifact.md).

# Setting the Value of a QC Flag on an Artifact

The QC flag parameter qc-flag can be set on an input or output analyte (derived sample) or on an individual result file (measurement) with a few lines of Groovy code.

In the following example, the qc-flag value of the analyte artifact is set based on the value of the **bp\_size** variable when compared to the **threshold1** and **threshold2** variables.

<pre><code>artifact = GLSRestApiUtils.httpGET(artifactURI, username, password)
             
<strong>Node foundQCNode = artifact.'qc-flag'[0] as Node
</strong>             
if((bp_size >= threshold1) &#x26;&#x26; (bp_size &#x3C;= threshold2)){qcFlag = "PASSED"}
else{qcFlag = "FAILED"}         
</code></pre>

The following code determines whether a qc-flag value is previously set, such that a flag is only set if one does not exist.

<pre><code><strong>foundQCNode ? foundQCNode.setValue(qcFlag) : addChild(new Node(null, 'qc-flag', qcFlag), artifact, "qc-flag")
</strong>
GLSRestApiUtils.httpPUT(artifact, artifactURI, username, password)
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.claritylims.illumina.com/api-and-database/api-docs/tips-and-tricks/setting-the-value-of-a-qc-flag-on-an-artifact.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
